Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version10

# Class V10ParameterConverter

java.lang.Object
org.firebirdsql.gds.ng.AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>
org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter

All Implemented Interfaces:
  `ParameterConverter<WireDatabaseConnection,WireServiceConnection>`

Direct Known Subclasses:
  `V11ParameterConverter`

public class V10ParameterConverter extends AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>
Implementation of `ParameterConverter` for the version 10 protocol.

Since:
  3.0
Author:
  Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`V10ParameterConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`populateAuthenticationProperties(AbstractConnection<?,?> connection, ConnectionParameterBuffer pb)`
Populates the authentication properties of the parameter buffer.

### Methods inherited from class org.firebirdsql.gds.ng.AbstractParameterConverter

`createDatabaseParameterBuffer, createServiceParameterBuffer, populateDefaultProperties, populateDefaultProperties, toDatabaseParameterBuffer, toServiceParameterBuffer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### V10ParameterConverter

public V10ParameterConverter()

## Method Details

### populateAuthenticationProperties

protected void populateAuthenticationProperties(AbstractConnection<?,?> connection, ConnectionParameterBuffer pb) throws SQLException
Description copied from class: `AbstractParameterConverter`
Populates the authentication properties of the parameter buffer.

Specified by:
  `populateAuthenticationProperties` in class `AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>`
Parameters:
  `connection` - Database connection
  `pb` - Parameter buffer to populate
Throws:
  `SQLException` - For errors generating authentication information